"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class Actions(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {
        "actionType",
        "source",
        "variantActionable",
    }

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_4_0_0 import reports as reports_4_0_0

        return {
            "org.gel.models.report.avro.Actions": reports_4_0_0.Actions,
        }

    __slots__ = [
        "actionType",
        "source",
        "variantActionable",
        "comments",
        "drug",
        "evidence",
        "evidenceType",
        "status",
        "url",
    ]

    def __init__(
        self,
        actionType,
        source,
        variantActionable,
        comments=None,
        drug=None,
        evidence=None,
        evidenceType=None,
        status=None,
        url=None,
        validate=None,
        **kwargs
    ):
        """Initialise the reports_4_0_0.Actions model.

        :param actionType:
        :type actionType: str
        :param source:
            source of the information
        :type source: str
        :param variantActionable:
            Is variant level actionable
        :type variantActionable: boolean
        :param comments:
            comments
        :type comments: None | list[str]
        :param drug:
            drug
        :type drug: None | str
        :param evidence:
            array of PMIDs
        :type evidence: None | list[str]
        :param evidenceType:
            type of evidence
        :type evidenceType: None | str
        :param status:
            status i.e. clinical, pre-clinical
        :type status: None | str
        :param url:
            link to original source
        :type url: None | str
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "4.0.0"
